package etu.sl213616;

import javafx.fxml.FXML;
import javafx.scene.control.PasswordField;
import javafx.scene.control.TextField;
import javafx.stage.Stage;

public class ConnexionController {

    @FXML
    private TextField nomField;

    @FXML
    private PasswordField passwordField;

    private App2 appInstance;

    public void setAppInstance(App2 app) {
        this.appInstance = app;
    }

    @FXML
    private void validerConnexion() {
        String nom = nomField.getText();
        String password = passwordField.getText();

        if (nom.isEmpty() || password.isEmpty()) {
            appInstance.afficherMessage("Connexion annulée");
        } else {
            appInstance.afficherMessage("Connexion réussie de " + nom);
            appInstance.setConnexion(new Connexion(nom, password));
        }

        fermerFenetre();
    }

    @FXML
    private void annulerConnexion() {
        appInstance.afficherMessage("Connexion annulée");
        fermerFenetre();
    }
    

    private void fermerFenetre() {
        ((Stage) nomField.getScene().getWindow()).close();
    }
}
